Package com.snowflake.snowpark_java.udaf

## Interface JavaUDAF22<S,​O,​A0,​A1,​A2,​A3,​A4,​A5,​A6,​A7,​A8,​A9,​A10,​A11,​A12,​A13,​A14,​A15,​A16,​A17,​A18,​A19,​A20,​A21>

- All Superinterfaces:
    `JavaUDAF`, `java.io.Serializable`

      public interface JavaUDAF22<S,​O,​A0,​A1,​A2,​A3,​A4,​A5,​A6,​A7,​A8,​A9,​A10,​A11,​A12,​A13,​A14,​A15,​A16,​A17,​A18,​A19,​A20,​A21>
      extends JavaUDAF

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `S` | `accumulate​(S state, A0 arg0, A1 arg1, A2 arg2, A3 arg3, A4 arg4, A5 arg5, A6 arg6, A7 arg7, A8 arg8, A9 arg9, A10 arg10, A11 arg11, A12 arg12, A13 arg13, A14 arg14, A15 arg15, A16 arg16, A17 arg17, A18 arg18, A19 arg19, A20 arg20, A21 arg21)` |
    `S` | `initialize()` |
    `S` | `merge​(S state1, S state2)` |
    `O` | `terminate​(S state)` |

    - ### Methods inherited from interface com.snowflake.snowpark_java.udaf.JavaUDAF

      `inputSchema, outputType`

- - ### Method Detail

    - #### initialize

          S initialize()

    - #### accumulate

          S accumulate​(S state,
                       A0 arg0,
                       A1 arg1,
                       A2 arg2,
                       A3 arg3,
                       A4 arg4,
                       A5 arg5,
                       A6 arg6,
                       A7 arg7,
                       A8 arg8,
                       A9 arg9,
                       A10 arg10,
                       A11 arg11,
                       A12 arg12,
                       A13 arg13,
                       A14 arg14,
                       A15 arg15,
                       A16 arg16,
                       A17 arg17,
                       A18 arg18,
                       A19 arg19,
                       A20 arg20,
                       A21 arg21)

    - #### merge

          S merge​(S state1,
                  S state2)

    - #### terminate

          O terminate​(S state)